%define module	pylzma

Name:		python-%{module}
Version:	0.4.8
Release:	%mkrel 1
Summary:	Python bindings for the LZMA library by Igor Pavlov
License:	LGPLv2+
Group:		Development/Python
Url:		http://www.joachim-bauch.de/projects/pylzma/
Source0:	https://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.gz
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
PyLZMA provides a platform independent way to read and write data that has
been compressed or can be decompressed by the LZMA library by Igor Pavlov.

#---------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 bindings for the LZMA library by Igor Pavlov
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n python3-%{module}
PyLZMA provides a platform independent way to read and write data that has
been compressed or can be decompressed by the LZMA library by Igor Pavlov.

This is the Python 3 build of %{module}.

#---------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%{__python} setup.py build

%{__python3} setup.py build

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

%{__python3} setup.py install --root=%{buildroot} --skip-build

%files
%doc README.md doc/*
%{python_sitearch}/py7zlib.py*
%{python_sitearch}/%{module}-%{version}-py%{pyver}.egg-info
%{python_sitearch}/%{module}*.so

%files -n python3-%{module}
%doc README.md doc/*
%{python3_sitearch}/py7zlib.py*
%{python3_sitearch}/%{module}-%{version}-py%{py3ver}.egg-info
%{python3_sitearch}/%{module}*.so
%{python3_sitearch}/__pycache__/


%changelog
* Thu Jan 21 2016 daviddavid <daviddavid> 0.4.8-1.mga5
+ Revision: 926205
- use python macros from mga5
- branch python-pylzma for mga5

* Wed Jan 20 2016 daviddavid <daviddavid> 0.4.8-1.mga6
+ Revision: 926137
- imported package python-pylzma

